@import url("https://fonts.googleapis.com/css2?family=Bai+Jamjuree:wght@400;500;600;700&display=swap");

:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  --first-color: #123456;
  --black-color: hsl(0, 0%, 0%);
  --black-color-light: hsl(0, 0%, 40%);
  --white-color: hsl(0, 0%, 95%);
  --title-color: hsl(0, 0%, 0%);
  --text-color: hsl(0, 0%, 35%);
  --text-color-light: hsl(0, 0%, 64%);
  --body-color: hsl(0, 0%, 87%);
  --container-color: hsl(0, 0%, 83%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Bai Jamjuree", sans-serif;
  --biggest-font-size: 2.5rem;
  --h1-font-size: 1.75rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1.125rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-medium: 500;
  --font-semi-bold: 600;
  --font-bold: 700;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/


/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
  transition: background-color .4s;
}

h1, h2, h3, h4 {
  color: var(--title-color);
  font-weight: var(--font-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}



/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  width: auto;
  margin-inline: 1.5rem;
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.section {
  padding-block: 4rem 2rem;
}

.section-title-1, 
.section-title-2,
.section-title-a {
  position: relative;
  font-size: var(--h1-font-size);
  width: max-content;
  margin: .75rem auto 2rem;
}

.section-title-1 span, 
.section-title-2 span,
.section-title-a span {
  z-index: 5;
  position: relative;
}

.section-title-1::after, 
.section-title-2::after,
.section-title-a::after {
  content: "";
  width: 40px;
  height: 28px;
  background-color: #ccaf88bf;
  position: absolute;
  top: -4px;
  right: -8px;
}

.section-title-2::after {
  top: initial;
  bottom: -4px;
}

.box {
  position: absolute;
  width: 30px;
  height: 30px;
  background-color: var(--first-color);  
  animation: rot 3s linear infinite;
}

@keyframes rot {
  0% {
      transform: rotate(0deg);
  }
  50% {
      transform: rotate(-180deg);
  }
  100% {
    transform: rotate(-360deg);
  }
}

.box::after {
  content: "";
  position: absolute;
  width: 20px;
  height: 20px;
  border: 3px solid var(--black-color);
  left: -5px;
  top: -5px;
  animation: rott 2s reverse infinite;
}
@keyframes rott {
  from {
      transform: rotate(0deg);
  }
  to {
      transform: rotate(-360deg);
  }
}

.main {
  overflow: hidden;
}

/*=============== HEADER & NAV ===============*/

.header{
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  background-color: var(--body-color);
  z-index: 100;
  transition: box-shadow .4s, background-color .4s;
}

.nav{
  position: relative;
  height: 3.5rem;
  display: flex;
  padding: 0 5%;
  justify-content: space-between;
  align-items: center;
}
.nav-logo{
  display: flex;
  column-gap: .5rem;
  align-items: center;
  font-weight: 600;
  color: var(--title-color);
}
.nav-logo-circle,
.nav-toggle{
  width: 32px;
  height: 32px;
  background-color: var(--black-color);
  color: var(--white-color);
  display: flex;
  justify-content: center;
  align-items: center;
}
.nav-logo-circle{
  border-radius: 50%;
}
.nav-toggle{
  font-size: 1.25rem;
  cursor: pointer;
}


/* Navigation for mobile devices */

@media screen and (max-width: 1150px){
  .nav-menu{
    position: fixed;
    top: -100%;
    left: 0;
    padding: 1.8rem 5rem;
    background-color: hsla(0, 0%, 0%, .75);
    width: 100%;
    text-align: center;
    backdrop-filter: blur(8px);
    transition: top .4s;
  }
}

.nav-title,
.nav-name,
.nav-close{
  color: var(--white-color);
}
.nav-title{
  display: block;
  font-size: .75rem;
  font-weight: 600;
  margin-bottom: 3.5rem;
}
.nav-name {
  position: relative;
  width: max-content;
  margin: 0 auto 3rem;
  font-size: 1.25rem;
}
.nav-name::after,
.nav-name::before {
  content: '';
  width: 40px;
  height: 1px;
  background-color: var(--text-color-light);
  position: absolute;
  top: 50%;
  left: -4rem;
}
.nav-name::before{
  left: initial;
  right: -4rem;
}

.nav-list{
  display: flex;
  flex-direction: column;
  row-gap: 2.5rem;
}

.nav-link{
  position: relative;
  color: var(--text-color-light);
  font-size: 1.125rem;
  font-weight: 600;
  transition: color .3s;
}
.nav-link::after{
  content: '';
  width: 0;  
  height: 2px;
  background-color: var(--white-color);
  position: absolute;
  left: 0;
  bottom: -.5rem;
  transition: width .3s;
}
.nav-link:hover{
  color: var(--white-color);
}
.nav-link:hover::after{
  width: 25%;
}

.nav-close{
  position: absolute;
  font-size: 1.5rem;
  top: 1rem;
  right: 1.5rem;
  cursor: pointer;
}

.nav-toggle{
  font-size: 1.25rem;
  cursor: pointer;
}

/* Show menu */

.show-menu{
  top: 0;
}

.shadow-header{
  box-shadow: 0 1px 16px hsla(0, 0%, 0%, .12);
}



/*=============== HOME ===============*/


.home-container{
  padding-top: 2rem;
  margin-inline: 0 10px;  
}
.home-name{
  font-size: 2.5rem;
  text-align: center;
  margin: 1rem 0 2rem;
}
.home-fill{
  position: relative;
  justify-self: center;
}

.home-img{
  position: relative;
  z-index: 10;  
}

.circle {
  display: flex;
  justify-content: center;
  align-items: center;
  /* position: relative; */
}
.circle .outer {
  width: 18rem;
  height: 18rem;
  border: 1px solid var(--black-color-light);
  position: relative;
  border-radius: 50%;
  animation: roll 30s linear infinite;
}

@keyframes roll {
  to {
    transform: rotate(360deg);
  }
} 

.circle .icon {
  font-size: 1rem;
}
.circle .outer span {
  display: block;
  width: 2rem;
  height: 2rem;
  border-radius: 50%;
  position: absolute;
  background: var(--container-color);
  color: var(--first-color);
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0 0 1rem var(--black-color-light);
}
.circle .home-img {
  position: absolute;
  width: 12rem;
  height: 17rem;
  border-radius: 50%;
  overflow: hidden;
}
.circle .outer span:nth-child(1) {
  left: calc(50% - 1rem);
  top: -1rem;
}
.circle .outer span:nth-child(2) {
  right: -1rem;
  top: calc(50% - 1rem);
}
.circle .outer span:nth-child(3) {
  left: calc(50% - 1rem);
  bottom: -1rem;
}
.circle .outer span:nth-child(4) {
  left: -1rem;
  top: calc(50% - 1rem);
}

.home-arrow,
.home-line{
  position: absolute;
  filter: invert(1);
  width: 50px;  
}
.home-arrow{
  left: 40%;
  bottom: -6rem;
}
.home-line{
  right: -1rem;
  bottom: -.5rem;
}

.home-social{
  height: max-content;
  position: absolute;
  left: -2.5rem;
  top: 0;
  bottom: 0;
  margin: auto 0;
  display: grid;
  row-gap: 1rem;
}
.home-social-link{
  background-color: var(--black-color-light);
  color: var(--white-color);
  font-size: 1rem;
  padding: 3px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color .3s;
}
.home-social-link:hover{
  background-color: var(--black-color);
}

.home-info{
  margin: 6.5rem 0 3rem;  
}

.home-description{
  text-align: center;
  color: var(--title-color);
  margin-bottom: 1.5rem;
}
.home-description b{
  background: linear-gradient(90deg, #0ef, rgba(0, 238, 255, 0));
}

.home-scroll{
  display: block;
  width: max-content;
  margin: 0 auto;
}
.home-scroll-text{
  display: none;
}
.home-scroll-box{
  background-color: var(--black-color);
  color: var(--white-color);
  width: 36px;
  height: 36px;
  display: grid;
  place-items: center;
  font-size: 1rem;
  cursor: pointer;
  overflow: hidden;
  transition: background-color .4s;
}
.home-scroll-box i{
  animation: scroll-down 3s infinite;
}

@keyframes scroll-down{
  0%{
    transform: translateY(-1rem);
    opacity: 0;
  }
  50%{
    transform: translateY(0);
    opacity: 1;
  }
  100%{
    transform: translateY(.6rem);
    opacity: 0;
  }
}


/*=============== BUTTON ===============*/

.button,
.button-ghost{
  display: flex;
  align-items: center;
  justify-content: center;
  column-gap: .5rem;
}
.button{
  background-color: var(--black-color);
  padding: 1.1rem 1.5rem;
  color: var(--white-color);
  font-weight: 500;
  transition: background-color .4s;
}
.button:hover{
  background-color: var(--first-color);
}
.button i{
  font-size: 1.25rem;
}
.button-ghost{
  border: 3px solid var(--black-color);
  color: var(--black-color);
  padding: .5rem;
  transition: border .4s, color .4s;
}
.button-ghost:hover{
  border: 3px solid var(--first-color);
}
.button-ghost i{
  font-size: 1.25rem;
}


/*=============== ABOUT ===============*/

.about{
  background-color: #006a4e;
  transition: background-color .4s;
}


.about-container{
  row-gap: 0;
}
.about-fill{
  position: relative;
  justify-self: center;
  margin-block: 2.5rem 4.5rem;
}
.about-image{
  width: 220px;
}
.about-img{
  position: relative;
  border: 4px solid var(--white-color);
  z-index: 1;
}
.about-shadow,
.about-line,
.about-box{
  position: absolute;
}
.about-shadow{
  width: 150px;
  height: 385px;
  background-color: #ccae88;
  top: -2.5rem;
  right: -3.5rem;
  border-bottom: 4px solid var(--first-color);
  transition: background-color .4s;
}
.section-title-a::after {
  background-color: #ccaf88bf;
}

.home-fill .box{
  top: 1.5rem;
  right: -2.8rem;
}

.about-line{
  filter: invert(1);
  right: -1.25rem;
  top: 6rem;
  width: 50px;
  transition: filter .4s;
}

.about-box{
  width: 4opx;
  height: 40px;
  background-color: var(--first-color);
  right: -.5rem;
  bottom: 1.5rem;  
}
.about-info{
  padding-left: 1.25rem;
}

.about-description{
  position: relative;
  color: var(--title-color);
  margin-bottom: 1.5rem;  
}
.about-description::after{
  content: '';
  width: 20px;
  height: 1px;
  background-color: var(--title-color);
  position: absolute;
  left: -1.75rem;
  top: .5rem;
}

.about-list{
  list-style: square;
  color: var(--title-color);
  margin-bottom: 3rem;
}

.about-buttons{
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 1rem;
}


/*=============== SERVICES ===============*/

.services-container {
  grid-template-columns: 250px;
  justify-content: center;
  row-gap: 2rem;
  padding-top: 1rem;
}
.services-card{
  position: relative;
}

.services-content{
  height: 100%;
  background-color: var(--body-color);
  border: 4px solid var(--black-color);
  padding: 6rem 1rem 3rem;
  z-index: 5;
  position: relative;
  transition: background-color .4s, border .4s;
}
.services-border{
  position: absolute;
  width: 100%;
  height: 100%;
  border: 4px solid var(--first-color);
  top: 0;
  left: 0;
  transition: transform .4s;
}
.services-card:hover .services-border{
  transform: translate(.75rem, .75rem);
}
.services-icon{
  position: relative;
  display: inline-block;
}
.services-icon i{
  font-size: 2rem;
  color: var(--black-color);
  position: relative;
  z-index: 5;
}

.services-box{
  position: absolute;
  top: -2px;
  right: -2px;
  width: 24px;
  height: 24px;
  background-color: var(--first-color);
}

.services-title{
  font-size: 1.25rem;
  margin-bottom: 1.25rem;
}

/*=============== PROJECTS ===============*/

.projects{
  background-color: var(--container-color);
  transition: background-color .4s;
}
.projects-container{
  row-gap: 2rem;
}
.projects-card{
  padding: 1rem 1rem 2rem;  
  transition: background-color .4s;
}
.projects-image{
  position: relative;
  margin-bottom: .75rem;
}
.projects-button{
  position: absolute;
  right: 1rem;
  bottom: -1.5rem;
  padding: 1rem;
}
.projects-content{
  margin-bottom: 1.25rem;
}
.projects-subtitle{
  position: relative;
  display: inline-block;
  font-size: .813rem;
  font-weight: 500;
  color: var(--text-color);
  margin-bottom: .75rem;
  padding-left: 1.75rem;
}
.projects-subtitle::after{
  content: '';
  position: absolute;
  width: 20px;
  height: 1px;
  background-color: var(--text-color);  
  top: 50%;
  left: 0;
}
.projects-title{
  font-size: 1.125rem;
  margin-bottom: .75rem;
}
.projects-buttons{
  display: flex;
  align-items: center;
  column-gap: 1rem;
}
.projects-link{
  display: flex;
  align-items: center;
  column-gap: .75rem;
  color: var(--text-color);
  font-size: .813rem;
  font-weight: 500;
  transition: color .4s;
}
.projects-link i{
  font-size: 1rem;
  color: var(--title-color);
  transition: color .4s;
}
.projects-link:hover,
.projects-link:hover i{
  color: var(--first-color);
}
.projects-card:hover{
  background-color: var(--white-color);
}


/*=============== CONTACT ===============*/

.contact{
  padding-bottom: 0;
}
.contact-container{
  position: relative;
  grid-template-rows: 300px max-content max-content;
  row-gap: 0;
}
.contact-data{
  position: relative;
  width: 300px;
  height: 300px;
  background-color: var(--container-color);
  padding: 3rem 1.5rem 3.5rem;
  margin-left: auto;
  border-bottom: 4px solid var(--first-color);
  z-index: 5;
  transition: background-color .4s;
}
.contact-data .section-title-2 {
  margin: 0 0 1.5rem;
  transform: translateX(-3rem);
}
.contact-description-1{
  color: var(--title-color);
  font-weight: 500;
  margin-bottom: 2rem;
}
.contact-description-2{
  color: var(--title-color);
  font-size: .813rem;  
}
.contact-data .box{
  top: 2rem;
  right: 2.5rem;
}
.contact-mail{
  position: relative;
  background-color: var(--black-color);
  padding: 5rem 1.5rem 2.5rem;
  margin-top: -2.5rem;
  transition: background-color .4s;
}
.contact-title{
  color: var(--white-color);
  font-size: 1.25rem;
  margin-bottom: 2rem;
  text-align: center;
}
.contact_form,
.contact-group {
  display: grid;
  row-gap: 1.25rem;
}
.contact_form{
  position: relative;
}
.contact-box {
  position: relative;
  width: 100%;
  height: 58px;
}
.contact-input,
.contact-button {
  font-family: var(--body-font);
  font-size: .938rem;
  outline: none;
  border: none;
}
.contact-input {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: var(--black-color);
  border: 4px solid var(--black-color-light);
  color: var(--white-color);
  padding: .5rem 1rem;
  font-weight: 500;
  transition: border .4s, background-color .4s;
}
.contact-input::placeholder {
  color: var(--text-color-light);
  transition: opacity .4s;
}
.contact-input:focus {
  border: 3px solid var(--white-color);
}
.contact-input:-webkit-autofill{
  transition: background-color 6000s, color 6000s;
}
.contact-label {
  position: absolute;
  top: 8px;
  left: 10px;
  color: var(--text-color-light);
  font-size: .813rem;
  font-weight: 500;
  background-color: var(--black-color);
  padding: 8px;
  pointer-events: none;
  transition: top .4s, opacity .4s, background-color .4s;
  opacity: 0;
}
.contact_form .contact-area {
  height: 10rem;  
}
.contact-area textarea {
  resize: none;
  padding-top: 1rem;
}
.contact-button {
  background-color: var(--first-color);
  cursor: pointer;
}

.contact-input:focus::placeholder {
  opacity: 0;
}

/* ****Show placeholder on focus and stick to top*** */

.contact-input:focus + .contact-label,
.contact-input:not(:placeholder-shown).contact-input:not(:focus) + .contact-label {
  opacity: 1;
  top: -16px;
}

.contact-social {
  display: grid;
  row-gap: 1rem;
  background-color: hsl(0, 0%, 10%);
  padding-block: 1rem 2rem;
  text-align: center;
}
.contact-social-arrow {
  width: 32px;
  margin: 0 auto;
}
.contact-social-data {
  display: flex;
  flex-direction: column;
  row-gap: 1.5rem;
}
.contact-social-description-1 {
  color: var(--text-color-light);
  font-size: .813rem;
  margin-bottom: 0.5rem;
  
}
.contact-social-description-2 {
  color: var(--white-color);
  font-size: .813rem;
  font-weight: 600;
}

.contact-social-links {
  display: flex;
  justify-content: center;
  column-gap: .75rem;
}
.contact-social-link {
  background-color: var(--black-color-light);
  padding: 6px;
  color: var(--white-color);
  font-size: 1.25rem;
  display: grid;
  place-items: center;
  transition: background-color .3s;
}
.contact-social-link:hover {
  background-color: var(--first-color);
}

.contact_message {
  color: var(--white-color);
  font-size: .813rem;
  position: absolute;
  bottom: -1.6rem;
  left: 0;
}

/*=============== FOOTER ===============*/


.footer {
  background-color: var(--black-color);  
}
.footer-container {
  padding-block: 3rem 2rem;
  row-gap: 2.5rem;
  
}
.footer-links {
  display: flex;
  justify-content: center;
  column-gap: 2rem;
}

.footer-link {
  color: var(--white-color);
  transition: color .4s;  
}

.footer-link:hover {
  color: var(--text-color-light);
}

.footer-copy {
  color: var(--text-color-light);
  font-size: .813rem;
  text-align: center;
}
.footer-copy a {
  color: var(--white-color);
  font-weight: 500;
}

/*=============== SCROLL BAR ===============*/

::-webkit-scrollbar {
  width: 0.6rem;
  border-radius: .5rem;
  background-color: hsl(0, 0%, 65%);
}
::-webkit-scrollbar-thumb {
  border-radius: .5rem;
  background-color: #006a4e;
}
::-webkit-scrollbar-thumb:hover {
  background-color: #013426;
}


/*=============== SCROLL UP ===============*/

.scrollup {
  position: fixed;
  right: 1rem;
  bottom: 3rem;  
  background-color: var(--black-color);
  border: none;
	outline: none;
  display: inline-flex;
  padding: 8px;
  font-size: 1.25rem;
  color: var(--white-color);
  z-index: 10;
  transition: transform .4s;
}

.scrollup:hover {
  transform: translateY(-.5rem);
}
.scrollup.show-scroll {
  bottom: 3rem;
}



@media screen and (max-width: 340px) {
  .container {
    margin-inline: 1rem;
  }
  .home-image {
    width: 180px;
  }
  .about-image {
    width: 180px;
  }
  .about-shadow {
    height: 330px;
    right: -2.5rem;
  }
  .contact-data {
    width: 100%;
  }
  .contact-data .section-title-2 {
    transform: translateX(0);
  }
}


@media screen and (min-width: 576px) {
  .home-container,
  .about-container,
  .projects-container {
    grid-template-columns: 450px;
    justify-content: center;
  }
  .contact-data {
    width: 350px;
    padding: 4rem 1.5rem;
    margin-inline: auto;
  }
  .contact-container {
    grid-template-columns: 500px;
    justify-content: center;
  }
  .contact-group {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 1rem;
  }
  .contact-social {
    background-color: transparent;
  }
  .contact-social-arrow {
    filter: invert(1);
  }
  .contact-social-description-1 {
    color: var(--text-color);
  }
  .contact-social-description-2 {
    color: var(--title-color);
  }

  /* **************HOME*************** */


 
  .circle .outer {
    width: 25rem;
    height: 25rem;    
  }

  .circle .icon {
    font-size: 1.2rem;
  }
  .circle .outer span {    
    width: 3rem;
    height: 3rem;    
  }
  .circle .home-img {    
    width: 18rem;
    height: 23rem;    
  }
  .circle .outer span:nth-child(1) {
    left: calc(50% - 1.5rem);
    top: -1.5rem;
  }
  .circle .outer span:nth-child(2) {
    right: -1.5rem;
    top: calc(50% - 1.5rem);
  }
  .circle .outer span:nth-child(3) {
    left: calc(50% - 1.5rem);
    bottom: -1.5rem;
  }
  .circle .outer span:nth-child(4) {
    left: -1.5rem;
    top: calc(50% - 1.5rem);
  }
  
  .home-arrow{    
    bottom: -6rem;
  }
  .home-line{
    right: -1rem;
    bottom: -.5rem;
  }
  
  .home-social{    
    left: -4.5rem;    
  }

  .home-social-link{    
    font-size: 2rem;
    padding: 3.5px;   
  }
  
}


@media screen and (min-width: 768px) {
  .services-container {
    grid-template-columns: repeat(2, 250px);    
  }
  .projects-container {
    grid-template-columns: repeat(2, 350px);
  }



  /* **************HOME*************** */

  .home-container,
  .about-container {
    grid-template-columns: 500px;
    justify-content: center;
  }
  .circle .outer {
    width: 28rem;
    height: 28rem;    
  }
  .circle .icon {
    font-size: 1.2rem;
  }  
  .circle .home-img {    
    width: 20rem;
    height: 25rem;    
  } 
  .home-social{    
    left: -6.5rem;    
  }
  .home-social-link{    
    padding: 6px;   
  }
  .home-description {
    font-size: 1.2rem;
  }




  /* ***********ABOUT*********** */


  .about-image{
    width: 20rem;
  }
  .about-img{
    width: 20rem;
  }
  .about-shadow{
    width: 200px;
    height: 470px;    
    top: -2.5rem;
    right: -3rem;    
  }
  .about-line{
   
    right: -1rem;
    top: 6.5rem;    
  }
  .section-title-a {
    font-size: 2rem;
  }
  
}





@media screen and (min-width: 1150px) {
  .container {
    margin-inline: auto;
  }
  .section {
    padding-block: 7rem 2rem;
  }
  .section-title-1::after,
  .section-title-2::after,
  .section-title-a::after {
    width: 70px;
    height: 48px;
  }
  .box {
    transform: scale(1.2);
  }

  .nav {
    height: 5.5rem;
    column-gap: 4rem;
  }
  .nav-close,
  .nav-toggle,
  .nav-title,
  .nav-name {
    display: none;
  }
  .nav-list {
    flex-direction: row;
    column-gap: 4rem;
  }
  .nav-menu {
    margin-left: auto;
  }
  .nav-link {
    color: var(--text-color);
    font-size: .938rem;
  }
  .nav-link:hover {
    color: var(--title-color);
  }
  .nav-link::after {
    background-color: var(--title-color);
  }
  .active-link {
    color: var(--title-color);
  }
  .nav-link-button {
    background-color: var(--black-color);
    color: var(--white-color);
    padding: 1.1rem 1.5rem;
  }
  .nav-link-button:hover {
    color: var(--white-color);
  }
  .nav-link-button::after {
    background-color: transparent;
  }
  .change-theme {
    color: var(--text-color);
  }
  .change-theme:hover {
    color: var(--title-color);
  }

  /* ***Home*** */

  
  .home-container {
    grid-template-columns: repeat(2,460px);
    gap: 2rem 10rem;
    align-items: center;
    padding-block: 4.5rem;
  }
  .home-fill {
    grid-column: 2 / 3;
    grid-row: 1 / 3;
  }
  .home-image {
    width: 350px;
  }
  .home-shadow {
    right: -.7rem;
    bottom: -1.25rem;
    border: 6px solid var(--black-color);
  }
  .home-name,
  .home-description {
    text-align: initial;
  }
  .home-name {
    align-self: flex-end;
    font-size: 3.5rem;
  }
  .home-info {
    margin-top: 0;
    align-self: flex-start;
  }
  .home-description {
    position: relative;
    font-size: 1.25rem;
    margin-bottom: 5.5rem;
    padding-left: 3rem;
  }
  .home-description::after {
    content: '';
    width: 32px;
    height: 2px;
    background-color: var(--title-color);
    position: absolute;
    left: 0;
    top: 14px;
  }
  .home-scroll {
    margin: 0;
    display: flex;
    align-items: center;
    column-gap: .75rem;
  }
  .home-scroll-text {
    display: block;
    color: var(--text-color);
    font-size: .75rem;
    font-weight: 500;
  }
  .home-scroll-box {
    width: 44px;
    height: 44px;
  }
  .home-scroll-box i {
    font-size: 1.25rem;
  }
  .home-fill .box {
    top: 15rem;
  }
  .home-arrow {
    top: 4.5rem;
    left: -8rem;
    rotate: 80deg;
    width: 80px;
  }
  .home-line {
    left: -15rem;
    bottom: 4rem;
    width: 80px;
    rotate: 30deg;
  }
  .home-social {
    left: initial;
    right: -6rem;
  }
  .home-social-link {
    font-size: 1.5rem;
    padding: 0.5rem;
  }
  .circle .outer span {    
    width: 4rem;
    height: 4rem;    
  }  
  .circle .outer span:nth-child(1) {
    left: calc(50% - 2rem);
    top: -2rem;
  }
  .circle .outer span:nth-child(2) {
    right: -2rem;
    top: calc(50% - 2rem);
  }
  .circle .outer span:nth-child(3) {
    left: calc(50% - 2rem);
    bottom: -2rem;
  }
  .circle .outer span:nth-child(4) {
    left: -2rem;
    top: calc(50% - 2rem);
  }

  /* ***About*** */

  .about-container {
    grid-template-columns: 440px 625px;
    gap: 1rem 9rem;
    align-items: center;
    padding-block: 1rem;
    height: 90vh;
  }
  .about-fill {
    order: -1;
    grid-row: 1 / 3;
  }
  .about-image {
    width: 350px;
  }
  .about-img {
    border: 8px solid var(--white-color);
  }
  .about-shadow {
    width: 240px;
    height: 575px;
    top: -5rem;
    right: -4.5rem;
    border-bottom: 6px solid var(--first-color);
  }
  .about-fill .box {
    right: -3rem;
    top: 4.5rem;
  }
  .about-line {
    width: 80px;
    right: -2rem;
    top: 10rem;
  }
  .about-box {
    width: 64px;
    height: 64px;
    right: -0.75rem;
  }
  .about-container .section-title-a {
    align-self: flex-end;
    font-size: 2.5rem;
    margin-inline: 0;
  }
  .about-info {
    align-self: flex-start;
    padding-left: 3rem;
  }
  .about-description {
    font-size: 1.25rem;
    margin-bottom: 2rem;
  }
  .about-description::after {
    width: 32px;
    height: 2px;
    left: -3rem;
    top: 14px;
  }
  .about-list {
    margin-bottom: 3rem;
  }
  .about-buttons {
    justify-content: initial;
  }
  .button-ghost {
    padding: 0.75rem;
  }
  .button-ghost i {
    font-size: 1.5rem;
  }

  /* ***Services*** */
  .services .section-title-2 {
    font-size: 2.5rem;
  }
  .services-container {
    grid-template-columns: repeat(4, 282px);
    column-gap: 4rem;
    padding-block: 3rem 5rem;
  }
  .services-content {
    padding: 6.5rem 1.5rem 3.5rem;
    border: 6px solid var(--black-color);    
  }
  .services-icon i {
    font-size: 3rem;
  }
  .services-box {
    width: 32px;
    height: 32px;
  }
  .services-title {
    margin-bottom: 1.5rem;
  }
  .services-card:hover .services-border {
    transform: translate(1.25rem, 1.25rem);
  }

  /* ***Projects*** */

  .projects .section-title-1 {
    font-size: 2.5rem;
  }
  .projects-container {
    grid-template-columns: repeat(3, 352px);
    padding-block: 3rem 1rem;
  }
  .projects-card {
    padding: 1.25rem 1.25rem 2.5rem;
  }
  .projects-image {
    margin-bottom: 2rem;
  }
  .projects-content {
    margin-bottom: 2rem;
  }
  .projects-button {
    right: 1.25rem;
  }

  /* ***Contact*** */

  .contact-container {
    grid-template-columns: 440px 670px;
    grid-template-rows: initial;
    padding-bottom: 2rem;
  }
  .contact-mail {
    grid-column: 2 / 3;
    grid-row: 1 / 3;
    padding: 7rem 5.5rem 6rem 7.5rem;
    margin-top: 0;
  }
  .contact-title {
    font-size: 1.125rem;
    text-align: initial;
  }
  .contact-box {
    height: 60px;
  }
  .contact_form .contact-area {
    height: 11rem;
  }
  .contact-button {
    margin-top: 1.25rem;
    width: max-content;
  }
  .contact-data {
    width: 392px;
    height: 375px;
    padding: 4.5rem 3.5rem 3.5rem;
    margin: 7.5rem 0 0 8rem;
    border-bottom: 6px solid var(--first-color);
  }
  .contact-data .section-title-2 {
    margin: 0 0 2rem;
    transform: translateX(-6.5rem);
  }
  .contact-social {
    margin-left: 8rem;
    text-align: initial;
  }
  .contact-social-data {
    flex-direction: row;
    align-items: center;
    column-gap: 1.25rem;
  }
  .contact-social-arrow {
    quotes: 40px;    
  }
  .contact-social-link {
    font-size: 1.5rem;
    padding: 0.5rem;
  }
  .contact-message {
    bottom: -2.5rem;
  }
  
  /* ***Footer*** */

  .footer-container {    
    grid-template-columns: repeat(2, max-content);
    justify-content: space-between;
    padding: 4rem 7%;
  }
  .footer-links {
    column-gap: 3rem;
    order: 1;
  }
  .scrollup {
    right: 3rem;
  }
}